##
## clirc -- An IRC client in Python.
## reloadable.py - Reloadable classes.
##
## Copyleft 1997-1999 Teemu Kalvas <chery@s2.org>
##

class Reloadable:
    def post_reload(self):
	pass

    def ensure_defaults(self, defaults):
	for name, default in defaults:
	    self.ensure_value(name, default)

    def ensure_value(self, name, default):
	if not hasattr(self, name):
	    if callable(default):
		setattr(self, name, default())
	    else:
		setattr(self, name, default)

## End. ##
